---
date: 2023-02-18T16:04:43+11:00
draft: false
---

# Information about how to play Blastmud

## Gameplay style

Blastmud has no fixed goal - you can't win or lose at Blastmud, which means you get
to set your own objectives ("sandbox play")! You can be an explorer, a crafter,
a fighter, a fucker (*not available on Android), a medic, a scientist, the CEO of your own
large corp, or some combination - and when you add in roleplay options, the possibilities to
make the game your own are nearly endless.

## Stats and Skills

When you first create your character, Blastmud will make you choose your stats. The
stats you pick will in turn impact your character's initial skills, which will impact
what your character is good at in the world.

There is an art and a science to planning out your character's build (your choice of stats,
and what you work on enhancing early in your game) so that they will be the type of player
you want them to be. Your choice of stats will impact things like what weapons are best for
fighting, how easily you can craft, and so on - so choose wisely!

## Movement

In Blastmud, you move around by sending commands representing the compass
direction you want to move in.

You can use the full direction name or just the first letter - e.g.
N (north), S (south), E (east), W (west). In some cases, you can move NE (northeast),
NW (northwest), SE (southeast) and SW (southwest).

Moving is not instant - just like in real life, it takes time to move around.
You can queue up future moves while the game is making you wait for your previous
move to complete - the game will queue up your moves or other actions (up to 20
actions) and do them one after the other.

Once your move is complete, the game will give you a small ASII-art map of your
new position, as well as the name and description of the room (place) you have arrived at.

## Combat

In Blastmud, certain NPCs (and if you consent, other players) can attack you, and you can
attack them with the `attack` command (aliases: `kill`, `k`).

If you get attacked, you automatically fight back (unless you are already in another fight).
You can try to run away like a coward (just by attempting a movement) - this might fail,
depending on your `dodge` skill. It is usually a good idea to run away rather than fight
a battle that you are going to lose anyway.

In battle, you use your weapon to try to hit the other player - this happens automatically.
You can change weapons with the `wield` command (it must be in your inventory). If you hit,
they lose health points. If they hit you, you lose health points.

If you don't have a weapon, you use your fists. But if you don't have good fists skill, it
won't be a fantastic weapon. You can buy a better one by going into a shop and using the
`list` and then `buy` commands.

If your health points go to zero, you die. Luckily, however, the futuristic world of Blastmud
has a system where you are given a new clone that your memories are transferred across
to in a clone vat. However, dying is not great. Your physical body stays where it died,
with all the possessions on it, and so you risk losing them. You also lose experience points
(which impact your maximum health) and some of your hard-earned credits for the privilege
of getting a new body.

If you lose health, you or someone with good enough medic skill can use a trauma kit (bought
from a shop, and packed with healing medical devices) to heal you back to full health. If you
are getting low on health, it is a good idea to run away to somewhere safe if you can!

## Skills

In Blastmud, you have raw skills, which are determined primarily by how much practice you
have at the skill (and start off at 0, and can go up to 15), but you get a bit extra
added to it to form your total skill (total = raw + extra). Every skill has one or two
stats that boost it if you have them - e.g. Craft is boosted by brains, so you get 8
extra if your brains stat is 8, but 15 extra if your brains stat is 15.

In Blastmud, your chance at doing nearly everything you try to do comes down to chance
and skill. The more skilled you are, the less you depend on chance (the higher the chances
of you succeeding at a task). Different tasks require different skills and skill levels -
some are harder - with the same level of skill, you are less likely to succeed at a
harder task that uses the same skill.

Using skills helps you to improve your raw (experience level) in that skill. You can
only improve in a skill again if it has been a minute since your last improvement in
that skill - and it comes down to chance. You have the most chance of improving if you
do a task which is closely matched to your skill level - if it is too easy or too hard
for you, the chance of learning is decreased.

## Consent

In Blastmud, you can interact with other players, but many actions are placed behind
"consent checks". The in character reason for this is because everyone wears a wristpad,
a relic of the fallen society, which stops people from doing things to each other
without consent. Certain aggressive NPCs are not subject to the wristpad system, and
can freely attack and be attacked - and consent commands only work for players, not NPCs.

Two commands in the game are your gateway to controlling consent: `allow` and `disallow`.

The general form of an allow command is: `allow <action> from <user> <options>`.
You don't actually type the `<` and `>`, they signify sections of the command you
need to replace.

`<action>` is replaced with one of `fight`, `medicine`, `gifts`, `visit`, or `sex` (
not available on Android).

`<user>` is replaced with the username of the person you are consenting.

`<options>` can be left blank, or you can string together one of the following options, separated by spaces:
* `for <duration>`, where duration is a number followed by `minutes`, `hours`, `days`, or `weeks` - sets an expiry for your consent.
* `until death` - your consent ends when you next die.
* `allow private` - your consent also applies in private places (this is the default anyway except for `fight`).
* `disallow private` - your consent doesn't apply in private places (this is the default for `fight`).
* `allow pick` - `fight` only - allows someone to pick any lock you own to come and get you.
* `allow revoke` - `fight` only - allows your consent to be freely revoked at any time (non-fight consent can alway be freely revoked).
* `in` - limits your consent to the specified place - try `in here` to refer to your current location.

For all consent types except `fight`, consent is unilateral (you consent to someone else doing something to you,
but you can't do it back unless they also consent) and freely revokable (you can do `disallow <action> from <user>` any
time and the consent ceases to apply).

For `fight` consent, it doesn't take effect until the other user also agrees to the same terms back at you - so consenting
to fight is sort of like declaring war. They are given a message with the right command to create a matching consent so
they can fight you. You can retract consent to fight up until they accept it. Once they accept it, if you didn't say
`allow revoke` in the options, then you can't unilaterally withdraw consent. If you try to `disallow fight from <user>` in
such a case, you will get a message saying you want to cancel the consent, with the command to use. The consent is in force
until they also run the `disallow fight from <you>` command - which they might not - or until it expires under the terms. Note
that unless you specify a shorter duration with a `for` option, `fight` consents last for one week. You can amend the terms
of a `fight` consent any time, but it will only take effect when the other player mirrors your amended version.

## The corp system

In Blastmud, you can join up to 5 corps - businesses / organisations. Corps form your network in the game -
they are the players who have your back!
